/*======================================================
FILE:  switable.c

SERVICES:  BRIDLE utility functions

GENERAL DESCRIPTION:
   Defines functions that allo modules to register modules for swi etc.

PUBLIC CLASSES AND STATIC FUNCTIONS:
   List the class(es) and static functions included in this file

INITIALIZATION & SEQUENCING REQUIREMENTS:

   See Exported Routines

        Copyright © 1999-2003 QUALCOMM Incorporated.
               All Rights Reserved.
            QUALCOMM Proprietary/GTDR
=====================================================*/
#include "AEEBridle.h"

PFNSWIHANDLER g_bridle_SubSystems[BRIDLE_SUBSYS_MAX] = {0};


/*===========================================================================

FUNCTION   

DESCRIPTION
  
DEPENDENCIES

RETURN VALUE

SIDE EFFECTS

===========================================================================*/
int bridle_RegisterSubSystem(PFNSWIHANDLER pfn, uint32* puSubSysNo)
{
   static uint32 uSubSysIdx = 10;

   if (uSubSysIdx >= BRIDLE_SUBSYS_MAX) {
      return EFAILED;
   }

   g_bridle_SubSystems[uSubSysIdx] = pfn;
   *puSubSysNo = uSubSysIdx++;

   return SUCCESS;
}


